cdac.medinfo.ccd.datatype

## Class SXCMREAL

- java.lang.Object
- - cdac.medinfo.ccd.datatype.ANY
  - - cdac.medinfo.ccd.datatype.QTY
    - - cdac.medinfo.ccd.datatype.REAL
      - - cdac.medinfo.ccd.datatype.SXCMREAL

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    IVLREAL

      public class SXCMREAL
      extends REAL

  Java class for SXCM_REAL complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SXCM_REAL">
         <complexContent>
           <extension base="{urn:hl7-org:v3}REAL">
             <attribute name="operator" type="{urn:hl7-org:v3}SetOperator" default="I" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SXCMREAL()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SetOperator` | `getOperator()` Gets the value of the operator property.
    `void` | `setOperator(SetOperator value)` Sets the value of the operator property.

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.REAL

      `getValue, setValue`

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.ANY

      `getContent, getNullFlavor, setContent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SXCMREAL

          public SXCMREAL()

  - ### Method Detail

    - #### getOperator

          public SetOperator getOperator()

      Gets the value of the operator property.
      Returns:
        possible object is `SetOperator`

    - #### setOperator

          public void setOperator(SetOperator value)

      Sets the value of the operator property.
      Parameters:
        `value` - allowed object is `SetOperator`